<?php

// This file contains the default settings for SpamAssassin options.
// These options can be overridden and new options can be added to
// sa_opts.php. 

// *** You should not edit this file. ***

global $sa_params;	# General params
global $wl_params;	# White/black list

// required_hists
$sa_params['required_hits']['title'] = 'Spam Score';
$sa_params['required_hits']['descr'] = 'Once all SpamAssassin tests have been run, the resulting score is matched against this value, and if greater than this value, the e-mail message is marked as spam. We recommend a value of \'5\'.';
$sa_params['required_hits']['type'] = 'select';
$sa_params['required_hits']['values'] = array("0" => "0 - Very Aggressive",
					      "1" => "1",
					      "2" => "2 - Aggressive",
					      "3" => "3",
					      "4" => "4",
					      "5" => "5 - Recommended",
					      "6" => "6",
					      "7" => "7",
					      "8" => "8 - Lenient",
					      "9" => "9",
					      "10" => "10 - Very Lenient",
					      "99" => "Don't Filter"
					      );
$sa_params['required_hits']['default'] = '5';

// subject_tag
$sa_params['subject_tag']['title'] = 'Spam Subject Tag';
$sa_params['subject_tag']['descr'] = 'The text to prefix to the subject of messages determined to be spam. <b>Rewrite Subject Line</b> must be turned on.';
$sa_params['subject_tag']['type'] = 'text';
$sa_params['subject_tag']['default'] = '*****SPAM*****';

// rewrite_subject
$sa_params['rewrite_subject']['title'] = 'Rewrite Subject Line';
$sa_params['rewrite_subject']['descr'] = 'SpamAssassin can re-write the subject line of e-mail that has been determined to be spam by prefixing the original subject with: '.$sa_params['subject_tag']['default'].'.  To turn on this feature, select this option.';
$sa_params['rewrite_subject']['type'] = 'checkbox';
$sa_params['rewrite_subject']['values'] = 1;
$sa_params['rewrite_subject']['default'] = '0';

// use_terse_report
$sa_params['use_terse_report']['title'] = 'Short Report';
$sa_params['use_terse_report']['descr'] = 'This option will tell SpamAssassin to use a shorter spam report once the message has been found to be spam.';
$sa_params['use_terse_report']['type'] = 'checkbox';
$sa_params['use_terse_report']['values'] = 1;
$sa_params['use_terse_report']['default'] = '0';

// use_dcc
$sa_params['use_dcc']['title'] = 'Use DCC';
$sa_params['use_dcc']['descr'] = 'Checks messages against the DCC (Distrubuted Checksum Clearinghouse) to see if a message matches a known spam message.';
$sa_params['use_dcc']['type'] = 'checkbox';
$sa_params['use_dcc']['values'] = 1;
$sa_params['use_dcc']['default'] = '1';

// use_razor1
$sa_params['use_razor1']['title'] = 'Use SpamNet (version 1)';
$sa_params['use_razor1']['descr'] = 'Checks messages against SpamNet to see if a message is a known spam message.';
$sa_params['use_razor1']['type'] = 'checkbox';
$sa_params['use_razor1']['values'] = 1;
$sa_params['use_razor1']['default'] = '0';

// use_razor2
$sa_params['use_razor2']['title'] = 'Use SpamNet (version 2)';
$sa_params['use_razor2']['descr'] = 'Checks messages against SpamNet to see if a message is a known spam message.';
$sa_params['use_razor2']['type'] = 'checkbox';
$sa_params['use_razor2']['values'] = 1;
$sa_params['use_razor2']['default'] = '1';

// always_add_headers
$sa_params['always_add_headers']['title'] = 'Always Add Headers';
$sa_params['always_add_headers']['descr'] = 'Uncheck if you don\'t want to add the headers to non-spam.';
$sa_params['always_add_headers']['type'] = 'checkbox';
$sa_params['always_add_headers']['values'] = 1;
$sa_params['always_add_headers']['default'] = '0';

// ok_languages
$sa_params['ok_languages']['title'] = 'Acceptable Languages';
$sa_params['ok_languages']['descr'] = 'Select all the languages you expect to receive e-mail in.';
$sa_params['ok_languages']['type'] = 'select';
$sa_params['ok_languages']['multiple'] = true;
$sa_params['ok_languages']['one_line'] = true;
$sa_params['ok_languages']['size'] = 5;
$sa_params['ok_languages']['default'] = array ('all');
$sa_params['ok_languages']['values'] = array("all"=>"All",
					     "af"=>"Afrikaans",
					     "sq"=>"Albanian",
					     "am"=>"Amharic",
					     "ar"=>"Arabic",
					     "hy"=>"Armenian",
					     "eu"=>"Basque",
					     "bs"=>"Bosnian",
					     "bg"=>"Bulgarian",
					     "be"=>"Byelorussian",
					     "ca"=>"Catalan",
					     "zh"=>"Chinese",
					     "hr"=>"Croatian",
					     "cs"=>"Czech",
					     "da"=>"Danish",
					     "nl"=>"Dutch",
					     "en"=>"English",
					     "eo"=>"Esperanto",
					     "et"=>"Estonian",
					     "fi"=>"Finnish",
					     "fr"=>"French",
					     "fy"=>"Frisian",
					     "ka"=>"Georgian",
					     "de"=>"German",
					     "el"=>"Greek",
					     "he"=>"Hebrew",
					     "hi"=>"Hindi",
					     "hu"=>"Hungarian",
					     "is"=>"Icelandic",
					     "id"=>"Indonesian",
					     "ga"=>"Irish Gaelic",
					     "it"=>"Italian",
					     "ja"=>"Japanese",
					     "ko"=>"Korean",
					     "la"=>"Latin",
					     "lv"=>"Latvian",
					     "lt"=>"Lithuanian",
					     "ms"=>"Malay",
					     "mr"=>"Marathi",
					     "ne"=>"Nepali",
					     "no"=>"Norwegian",
					     "fa"=>"Persian",
					     "pl"=>"Polish",
					     "pt"=>"Portuguese",
					     "qu"=>"Quechua",
					     "rm"=>"Rhaeto-Romance",
					     "ro"=>"Romanian",
					     "ru"=>"Russian",
					     "sa"=>"Sanskrit",
					     "sco"=>"Scots",
					     "gd"=>"Scottish Gaelic",
					     "sr"=>"Serbian",
					     "sk"=>"Slovak",
					     "sl"=>"Slovenian",
					     "es"=>"Spanish",
					     "sw"=>"Swahili",
					     "sv"=>"Swedish",
					     "tl"=>"Tagalog",
					     "ta"=>"Tamil",
					     "th"=>"Thai",
					     "tr"=>"Turkish",
					     "uk"=>"Ukrainian",
					     "vi"=>"Vietnamese",
					     "cy"=>"Welsh",
					     "yi"=>"Yiddish");

// use_bayes
$sa_params['use_bayes']['title'] = 'Use Bayesian Filter';
$sa_params['use_bayes']['descr'] = 'The Baysian Filter will learn what is spam and what isn\'t to become a better filter.';
$sa_params['use_bayes']['type'] = 'checkbox';
$sa_params['use_bayes']['values'] = 1;
$sa_params['use_bayes']['default'] = 0;

// auto_learn
$sa_params['auto_learn']['title'] = 'Auto-learn';
$sa_params['auto_learn']['descr'] = 'Automatically feed high and low scoring mails into SpamAssassin\'s learning systems. (Currently, only Bayesian filtering is supported.)';
$sa_params['auto_learn']['type'] = 'checkbox';
$sa_params['auto_learn']['values'] = 1;
$sa_params['auto_learn']['default'] = 0;

// report_safe
$sa_params['report_safe']['title'] = 'Spam Encapsulation';
$sa_params['report_safe']['descr'] = 'Encapsulate spam messages into a MIME or plain-text attachment, or you can disable it altogether.';
$sa_params['report_safe']['type'] = 'select';
$sa_params['report_safe']['values'] = array("0" => "Disabled",
                                            "1" => "MIME Attachment",
                                            "2" => "Text Attachment"
                                            );
$sa_params['report_safe']['default'] = '1';

// These options were removed as of SpamAssassin 2.50-ish
// They are here for those running older versions of SA.
// report_header
$sa_params['report_header']['title'] = 'Report in Header';
$sa_params['report_header']['descr'] = 'SpamAssassin will create a report when it determines an e-mail message to be spam.  This report is normally prepended to the e-mail message.  To have the report written as part of the e-mail header, select this option.';
$sa_params['report_header']['type'] = 'checkbox';
$sa_params['report_header']['values'] = 1;
$sa_params['report_header']['default'] = '0';

// defang_mime
$sa_params['defang_mime']['title'] = 'Reformat HTML Spam';
$sa_params['defang_mime']['descr'] = 'When an e-mail in HTML format is determined to be spam, SpamAssassin can convert the message to text. To allow this, select this option.';
$sa_params['defang_mime']['type'] = 'checkbox';
$sa_params['defang_mime']['values'] = 1;
$sa_params['defang_mime']['default'] = '0';

// White/black list info

$wl_params['whitelist_from']['title'] = 'Whitelist From';
$wl_params['whitelist_from']['descr'] = 'E-mail from these addresses will not be marked as spam. You may use \'*\' as a wildcard to allow a large number of addresses at one time. E.g. Whitelist From \'*@aol.com\' will not mark any message that claims to be from aol.com as spam.';

$wl_params['unwhitelist_from']['title'] = 'Don\'t Whitelist From';
$wl_params['unwhitelist_from']['descr'] = 'This address will be excluded from a previous whitelist and will be treated as a normal address, i.e. it will not be automatically allowed.';

$wl_params['blacklist_from']['title'] = 'Blacklist From';
$wl_params['blacklist_from']['descr'] = 'E-mail from these addresses will always be marked as spam. You may use \'*\' as a wildcard to block a large number of addresses at one time. E.g. Blacklist From \'*@aol.com\' will mark all messages that claims to be from aol.com as spam.';

$wl_params['unblacklist_from']['title'] = 'Don\'t Blacklist From';
$wl_params['unblacklist_from']['descr'] = 'This address will be excluded from a previous blacklist and will be treated as a normal address, i.e. it will not be automatically denied.';

$wl_params['whitelist_to']['title'] = 'Whitelist To';
$wl_params['whitelist_to']['descr'] = 'E-mail to these addresses will not be marked as spam. This is useful for allowing e-mail lists. For example, you can allow all messages from an e-mail list that sends <i>To:</i> \'Tofu-Support-List@beeflovers.com\'. You may use \'*\' as a wildcard to allow a large number of addresses at one time. E.g. Whitelist To \'*@aol.com\' will not mark any message that claims to be to aol.com as spam.';

?>
